The query visibility option "To me only" actually behaves as "To the owner only"
Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:  Affected version:  

Description

If you change the display range of a shared custom query created by another person to "Only me", only creator can be used instead

of me.

When changing the Visibility of a custom query created by someone from "to these roles only" to "to me only"

It becomes available only to the custom query creator, not the one who is manipulating it.

It seems that display content is wrong and it leads to erroneous operation.

It may be better to change from "to me only" to "to author only".

Redmine3.4.6

Related issues:

Related to Redmine - Defect #7768: improve consistency of terms / language New 2011-03-03

History

#1 - 2019-03-11 17:31 - Yuuki NARA

Steps to reproduce:

admin:

1.Create user-A and user-B.

Do not assign admin privileges.

2.Assign the following authority of the project to user-A, user-B.

Reference to issue

Custom query creation

Custom query management

(Save Query, Manage Public Query)

user-A:

3.Create custom queries shared within PJ.

visibility:[to these roles only]

user-B:

4.Edit the shared custom query created by user-A.

Change "Visible" from [to these roles only] to [to me only] and save.

This operation is intended to make it available only to me (user-B).

Result: Only user-A becomes available.

The userid of queries table points to user-A.

#2 - 2019-03-25 14:48 - Go MAEDA

- Subject changed from  If you change the display range of a shared custom query created by another person to "Only me", only creator can be used

instead of me. to The query visibility option "To me only" actually behaves as "To the owner only"
- Category set to Issues

- Status changed from New to Confirmed

I have confirmed the problem. It is confusing in some cases. I agree to change the string from "to me only" to "to the owner only" or "to the author

only".

#3 - 2020-05-19 06:29 - Go MAEDA

- Target version set to Candidate for next minor release

The following is the suggestion of new messages. Feedback are welcome.

diff --git a/config/locales/en.yml b/config/locales/en.yml

index 89fd151c4..aab925da2 100644

--- a/config/locales/en.yml

+++ b/config/locales/en.yml

@@ -1004,7 +1004,7 @@ en:

   label_cross_project_hierarchy: With project hierarchy

   label_cross_project_system: With all projects

   label_gantt_progress_line: Progress line

-  label_visibility_private: to me only

+  label_visibility_private: to the owner only

   label_visibility_roles: to these roles only

   label_visibility_public: to any users

   label_link: Link

diff --git a/config/locales/ja.yml b/config/locales/ja.yml

index 2099764cf..7fd56ca57 100644

--- a/config/locales/ja.yml

+++ b/config/locales/ja.yml

@@ -1100,7 +1100,7 @@ ja:

   notice_account_not_activated_yet: アカウントが有効化されていません。アカウントを有効にするためのメールをもう一度受信したいときは<a href="%{url}">このリンクをクリッ

クしてください</a>。

   notice_account_locked: アカウントがロックされています

   label_hidden: 非表示

-  label_visibility_private: 自分のみ

+  label_visibility_private: 作成者のみ

   label_visibility_roles: 次のロールのみ

   label_visibility_public: すべてのユーザー

   field_must_change_passwd: 次回ログイン時にパスワード変更を強制

#4 - 2020-05-19 06:47 - Go MAEDA

- Target version changed from Candidate for next minor release to Candidate for next major release

#5 - 2020-06-02 15:21 - Go MAEDA

The phrase "to the owner only" is not so good in the new query form. In that form, the current "to me only" is more appropriate, I think. We should find

a better phrase.

#6 - 2021-08-22 03:30 - Mischa The Evil

I think that a more appropriate labeling in English would read something like this:

Label: Label: Label:

On Query#new to me only to all users to users with these roles only

On Query#edit to the author only to all users to users with these roles only

#7 - 2021-08-22 11:19 - Mischa The Evil

- Related to Defect #7768: improve consistency of terms / language  added

#8 - 2021-08-28 08:37 - Go MAEDA

Mischa The Evil wrote:

I think that a more appropriate labeling in English would read something like this:

Label: Label: Label:

On Query#new to me only to all users to users with these roles only

On Query#edit to the author only to all users to users with these roles only
 +1

I think using different terms for Query#new and Query#edit is a good idea.

#9 - 2024-02-05 08:27 - Go MAEDA

- File 31010.patch added

The attached 31010.patch implements #note-6.

Files

31010.patch 2.48 KB 2024-02-05 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-07-03 3/3

https://www.redmine.org/attachments/31926
http://www.tcpdf.org

